'use strict';

var suite = require('../utils/suite.js');
var cancel = require('./cancel.js');
var state = require('./state.js');
var subs = require('./subs.js');
var pubsub = require('./pubsub.js');

const tests = {
  cancel: cancel.testCancel,
  state: state.testState,
  subs: subs.testSubs,
  pubsub: pubsub.testPubsub
};
var testNamePubsub = suite.createSuite(tests);

module.exports = testNamePubsub;
